Subject: bug#22564: Fundamental mode isn't fundamental enough.

From: Richard Stallman <[email-masked]>
Date: Sat, 06 Feb 2016 14:48:02 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I think electric-*-modes should be disabled in FM unless explicitly
  > enabled by the user in an FM buffer.  We've become far too "clever" with
  > all these facilities.

I agree.

The doc string of electric-indent-mode says

    When enabled, this reindents whenever the hook ‘electric-indent-functions’
    returns non-nil, or if you insert a character from ‘electric-indent-chars’.

electric-indent-chars is supposed to contain printing characters
whose insertion should, secondarily, cause reindentation of the line.
Why is  tab  in that list?  That makes no sense.

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.